import { INFORMATIONAL, SUCCESS, REDIRECTION, CLIENT_ERROR, SERVER_ERROR } from '../utils/httpCodes';
export interface ICreateModelMessage {
    code: TInformational | TSuccess | TRedirection | TClientError | TServerError;
    title?: string;
}
export interface ICreateResponse {
    code: TInformational | TSuccess | TRedirection;
    message?: string;
    title?: string;
    data?: [] | object;
}
export interface ICreateError {
    code: TClientError | TServerError;
    detail: string;
    title?: string;
    type?: string;
    instance?: string;
}
export interface IResponse {
    title: string;
    status: number;
    message?: string;
    data?: [] | object;
}
export interface IError {
    title: string;
    status: number;
    detail: string;
    type?: string;
    instance?: string;
}
export declare type TInformational = keyof typeof INFORMATIONAL;
export declare type TSuccess = keyof typeof SUCCESS;
export declare type TRedirection = keyof typeof REDIRECTION;
export declare type TClientError = keyof typeof CLIENT_ERROR;
export declare type TServerError = keyof typeof SERVER_ERROR;
